This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 213904 (tclchecker) - Review Request: tclchecker - Tcl syntax checker
Summary: Review Request: tclchecker - Tcl syntax checker
Status: CLOSED NEXTRELEASE
Alias: tclchecker
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul F. Johnson
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: tbcload tclparser
Blocks: FE-ACCEPT tclpro
TreeView+ depends on / blocked
 
Reported: 2006-11-03 18:08 UTC by Wart
Modified: 2009-01-28 05:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-26 01:45:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Wart 2006-11-03 18:08:31 UTC
Spec URL: http://www.kobold.org/~wart/fedora/tclchecker.spec
SRPM URL: http://www.kobold.org/~wart/fedora/tclchecker-1.4-1.20061030cvs.src.rpm
Description:

A syntax checking library for the Tcl scripting language

Note:  Upstream has not released official tarballs of this package.  When I asked about it, they said they did not have time for generating official releases and that CVS snapshots should be used instead.

Comment 1 Paul F. Johnson 2006-11-25 22:22:08 UTC
rpmlint results

src.rpm - clear
noarch.rpm - clear

mock
builds cleanly

installs fine

Review
Spec file clear, uses UTF-8, US English
No permission issues
Docs included
Consistent use of macros
No problems with rpm deps
No ownership issues

APPROVED


Comment 2 Wart 2006-11-26 01:45:11 UTC
Imported and built.  Thanks!

Comment 3 Wart 2009-01-28 00:50:32 UTC
Package Change Request
======================
Package Name: tclchecker
New Branches: EL-4 EL-5
Owners: wart

Comment 4 Kevin Fenzi 2009-01-28 05:57:31 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.